/* 识别各浏览器的代码 https://browserstrangeness.github.io/css_hacks.html */
/****** 常用样式 ******/
.c-white {
    color: #fff;
}

.c-black {
    color: #000;
}

.c-red {
    color: #f00;
}

.c-green {
    color: #0f0;
}

.c-blue {
    color: #00f;
}

.bg-white {
    background-color: #fff;
}

.bg-black {
    background-color: #000;
}

.bg-red {
    background-color: #efa2a9;
}

.bg-green {
    background-color: #1e7e34;
}

/****** Loading ******/
.if-spin {
    -webkit-animation: if-spin 2s infinite linear;
    animation: if-spin 2s infinite linear;
    display: inline-block;
}
.if-pulse {
    -webkit-animation: if-spin 1s infinite steps(8);
    animation: if-spin 1s infinite steps(8);
    display: inline-block;
}
@keyframes if-spin {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(359deg);
        transform: rotate(359deg);
    }
}

/* 页面加载遮罩层 */
#page-loading-mask {
    width: 100%;
    height: 100%;
    position: absolute;
    z-index: 100;
    opacity: 1;
    background: #ffffff url("https://www.skladprom.com/admin/images/loading_64x64.gif") no-repeat center center;
}

/* 转动 loading 图标, 产生动画效果 */
@keyframes cycle {
    0%{
        transform: rotate(0deg);
    }
    100%{
        transform: rotate(360deg);
    }
}
.loading-cycle {
    display: inline-block;
    animation: cycle 2s infinite linear;
}

/* 修改 ExtJS 的默认样式 */
/* 表格单元格里的内容垂直居中 */
.x-grid-cell {
    vertical-align: middle;
}

/* 隐藏的记录 */
.record-hidden {
    color: #a1a1a1;
}

/****** 各种通知提示框 ******/
.notify i.fa {
    margin-right: 10px;
    vertical-align: middle;
}

.notify .notify-content {
    display: inline-block;
    vertical-align: middle;
}

.notify-error {
    color: #a94442 !important;
    background-color: #f2dede !important;
}

.notify-info {
    color: #012831 !important;
    background-color: #8fcedd !important;
}

.notify-notice {
    color: #23527c !important;
    background-color: #d9edf7 !important;
}

.notify-warning {
    color: #8a6d3b !important;
    background-color: #fcf8e3 !important;
}

.notify-success {
    color: #3c763d !important;
    background-color: #dff0d8 !important;
}

/* 栏目导航 */
/* 隐藏栏目(用户不可见) */
.web-hidden {
    color: #d1d1d1;
}

/* 未发布 */
.web-unpublished {
    color: #a1a1a1;
}

/* 表格 */
/* 操作列图标类 - 修改 */
.grid-actionicon-edit:before {
    content: "\f040"; /* pencil  */
    font: 16px/1 FontAwesome;
    color: #4c8e0e;
}

/* 删除 */
.grid-actionicon-delete:before {
    content: "\f056"; /* minus-circle */
    font: 16px/1 FontAwesome;
    color: #dd6550;
}

/* 栏目下的文档列表表格 */
/* 单元格 - 可点击 */
.grid-cell-clickable {
    cursor: pointer !important;
}
